---

r_env_packages:
  # must be first
  - { name: BiocManager, type: cran, state: present }
  - { name: devtools, type: cran, state: present }
  - { name: remotes, type: cran, state: present }

  # CRAN
  - { name: abcrf, type: cran, state: present }
  - { name: adespatial, type: cran, state: present }
  - { name: ade4, type: cran, state: present }
  - { name: agricolae, type: cran, state: present }
  - { name: ape, type: cran, state: present }
  - { name: argparse, type: cran, state: present }
  - { name: aricode, type: cran, state: present }
  - { name: aweSOM, type: cran, state: present }
  - { name: BAT, type: cran, state: present }
  - { name: betapart, type: cran, state: present }
  - { name: Cairo, type: cran, state: present }
  - { name: callr, type: cran, state: present }
  - { name: caret, type: cran, state: present }
  - { name: caTools, type: cran, state: present }
  - { name: chromoMap, type: cran, state: present }
  - { name: clues, type: cran, state: present }
  - { name: clustermq, type: cran, state: present }
  - { name: clustree, type: cran, state: present }
  - { name: codep, type: cran, state: present }
  - { name: codyn, type: cran, state: present }
  - { name: colourpicker, type: cran, state: present }
  - { name: ComplexUpset, type: cran, state: present }
  - { name: compositions, type: cran, state: present }
  - { name: corrplot, type: cran, state: present }
  - { name: countrycode, type: cran, state: present }
  - { name: cowplot, type: cran, state: present }
  - { name: data.table, type: cran, state: present }
  - { name: dendextend, type: cran, state: present }
  - { name: devtools, type: cran, state: present }
  - { name: dismo, type: cran, state: present }
  - { name: doMC, type: cran, state: present }
  - { name: doParallel, type: cran, state: present }
  - { name: doSNOW, type: cran, state: present }
  - { name: dplyr, type: cran, state: present }
  - { name: DT, type: cran, state: present }
  - { name: dynplot, type: cran, state: present }
  - { name: dynwrap, type: cran, state: present }
  - { name: e1071, type: cran, state: present }
  - { name: easyCODA, type: cran, state: present }
  - { name: extrafont, type: cran, state: present }
  - { name: factoextra, type: cran, state: present }
  - { name: FactoMineR, type: cran, state: present }
  - { name: fastmatch, type: cran, state: present }
  - { name: FD, type: cran, state: present }
  - { name: float, type: cran, state: present }
  - { name: formattable, type: cran, state: present }
  - { name: gbm, type: cran, state: present }
  - { name: GenSA, type: cran, state: present }
  - { name: ggbeeswarm, type: cran, state: present }
  - { name: ggExtra, type: cran, state: present }
  - { name: gggenes, type: cran, state: present }
  - { name: ggiraph, type: cran, state: present }
  - { name: ggplot2, type: cran, state: present }
  - { name: ggpubr, type: cran, state: present }
  - { name: ggrepel, type: cran, state: present }
  - { name: ggupset, type: cran, state: present }
  - { name: ggvenn, type: cran, state: present }
  - { name: ggVennDiagram, type: cran, state: present }
  - { name: glmnet, type: cran, state: present }
  - { name: glmpca, type: cran, state: present }
  - { name: glue, type: cran, state: present }
  - { name: gmp, type: cran, state: present }
  - { name: gplots, type: cran, state: present }
  - { name: gProfileR, type: cran, state: present }
  - { name: gprofiler2, type: cran, state: present }
  - { name: gridExtra, type: cran, state: present }
  - { name: gtsummary, type: cran, state: present }
  - { name: here, type: cran, state: present }
  - { name: hexbin, type: cran, state: present }
  - { name: htmltools, type: cran, state: present }
  - { name: htmlwidgets, type: cran, state: present }
  - { name: hypervolume, type: cran, state: present }
  - { name: igraph, type: cran, state: present }
  - { name: irlba, type: cran, state: present }
  - { name: jsonlite, type: cran, state: present }
  - { name: kableExtra, type: cran, state: present }
  - { name: knitr, type: cran, state: present }
  - { name: kohonen, type: cran, state: present }
  - { name: labdsv, type: cran, state: present }
  - { name: latticeExtra, type: cran, state: present }
  - { name: lda, type: cran, state: present }
  - { name: lgr, type: cran, state: present }
  - { name: lmtest, type: cran, state: present }
  - { name: lpSolve, type: cran, state: present }
  - { name: magick, type: cran, state: present }
  - { name: magrittr, type: cran, state: present }
  - { name: manhattanly, type: cran, state: present }
  - { name: maps, type: cran, state: present }
  - { name: mapplots, type: cran, state: present }
  - { name: marmap, type: cran, state: present }
  - { name: Matrix, type: cran, state: present }
  - { name: matrixStats, type: cran, state: present }
  - { name: mixKernel, type: cran, state: present }
  - { name: mlapi, type: cran, state: present }
  - { name: moments, type: cran, state: present }
  - { name: momr, type: cran, state: present }
  - { name: msigdbr, type: cran, state: present }
  - { name: nabor, type: cran, state: present }
  - { name: NMF, type: cran, state: present }
  - { name: nnls, type: cran, state: present }
  - { name: nloptr, type: cran, state: present }
  - { name: optparse, type: cran, state: present }
  - { name: packrat, type: cran, state: present }
  - { name: pafr, type: cran, state: present }
  - { name: parallelDist, type : cran, state: present }
  - { name: parsnip, type: cran, state: present }
  - { name: patchwork, type: cran, state: present }
  - { name: pbapply, type: cran, state: present }
  - { name: pbmcapply, type: cran, state: present }
  - { name: phangorn, type: cran, state: present }
  - { name: pheatmap, type: cran, state: present }
  - { name: pkgcache, type: cran, state: present }
  - { name: plotly, type: cran, state: present }
  - { name: plyr, type: cran, state: present }
  - { name: png, type: cran, state: present }
  - { name: psych, type: cran, state: present }
  - { name: purrr, type: cran, state: present }
  - { name: randomForest, type: cran, state: present }
  - { name: RCircos, type: cran, state: present }
  - { name: RColorBrewer, type: cran, state: present }
  - { name: Rcpp, type: cran, state: present }
  - { name: RcppArmadillo, type: cran, state: present }
  - { name: Rdpack, type: cran, state: present }
  - { name: readr, type: cran, state: present }
  - { name: recipes, type: cran, state: present }
  - { name: renv, type: cran, state: present }
  - { name: reshape2, type: cran, state: present }
  - { name: reticulate, type: cran, state: present }
  - { name: revealjs, type: cran, state: present }
  - { name: rgl, type: cran, state: present }
  - { name: rhandsontable, type: cran, state: present }
  - { name: rJava, type: cran, state: present }
  - { name: Rlab, type: cran, state: present }
  - { name: rlang, type: cran, state: present }
  - { name: rlist, type: cran, state: present }
  - { name: rmarkdown, type: cran, state: present }
  - { name: rmdformats, type: cran, state: present }
  - { name: roxygen2, type: cran, state: present }
  - { name: rpart.plot, type: cran, state: present }
  - { name: rsample, type: cran, state: present }
  - { name: rsparse, type: cran, state: present }
  - { name: rsvd, type: cran, state: present }
  - { name: rtk, type: cran, state: present }
  - { name: Rtsne, type: cran, state: present }
  - { name: scales, type: cran, state: present }
  - { name: scatterpie, type: cran, state: present }
  - { name: SCINA, type: cran, state: present }
  - { name: seqinr, type: cran, state: present }
  - { name: Seurat, type: cran, state: present }
  - { name: shiny, type: cran, state: present }
  - { name: shinyalert, type: cran, state: present }
  - { name: shinycssloaders, type: cran, state: present }
  - { name: shinycustomloader, type: cran, state: present }
  - { name: shinydashboard, type: cran, state: present }
  - { name: shinydashboardPlus, type: cran, state: present }
  - { name: shinyFiles, type: cran, state: present }
  - { name: shinyhelper, type: cran, state: present }
  - { name: shinyjs, type: cran, state: present }
  - { name: shinytest, type: cran, state: present }
  - { name: shinythemes, type: cran, state: present }
  - { name: shinyWidgets, type: cran, state: present }
  - { name: sm, type: cran, state: present }
  - { name: snow, type: cran, state: present }
  - { name: SnowballC, type: cran, state: present }
  - { name: SOMbrero, type: cran, state: present }
  - { name: STAT, type: cran, state: present }
  - { name: StatMatch, type: cran, state: present }
  - { name: stringi, type: cran, state: present }
  - { name: stringr, type: cran, state: present }
  - { name: svglite, type: cran, state: present }
  - { name: synchrony, type: cran, state: present }
  - { name: swirl, type: cran, state: present }
  - { name: swirlify, type: cran, state: present }
  - { name: tester, type: cran, state: present }
  - { name: testthat, type: cran, state: present }
  - { name: text2vec, type: cran, state: present }
  - { name: tibble, type: cran, state: present }
  - { name: tictoc, type: cran, state: present }
  - { name: tidyr, type: cran, state: present }
  - { name: tidyverse, type: cran, state: present }
  - { name: tinytex, type: cran, state: present }
  - { name: TITAN2, type: cran, state: present }
  - { name: tm, type: cran, state: present }
  - { name: TPD, type: cran, state: present }
  - { name: treemap, type: cran, state: present }
  - { name: TSclust, type: cran, state: present }
  - { name: TSdist, type: cran, state: present }
  - { name: umap, type: cran, state: present }
  - { name: UpSetR, type: cran, state: present }
  - { name: utils, type: cran, state: present }
  - { name: V8, type: cran, state: present }
  - { name: vcfR, type: cran, state: present }
  - { name: vegan, type: cran, state: present }
  - { name: venn, type: cran, state: present }
  - { name: vioplot, type: cran, state: present }
  - { name: viridis, type: cran, state: present }
  - { name: wordcloud, type: cran, state: present }
  - { name: wpp2019, type: cran, state: present }
  - { name: xfun, type: cran, state: present }
  - { name: xgboost, type: cran, state: present }
  - { name: xlsx, type: cran, state: present }
  - { name: XML, type: cran, state: present }
  - { name: yaml, type: cran, state: present }
  - { name: yardstick, type: cran, state: present }
  - { name: zetadiv, type: cran, state: present }

  # BIOCONDUCTOR
  - { name: affxparser, type: bioconductor, state: present }
  - { name: AnnotationDbi, type: bioconductor, state: present }
  - { name: aroma.light, type: bioconductor, state: present }
  - { name: AUCell, type: bioconductor, state: present }
  - { name: batchelor, type: bioconductor, state: present }
  - { name: basilisk, type: bioconductor, state: present }
  - { name: beachmat, type: bioconductor, state: present }
  - { name: BiocGenerics, type: bioconductor, state: present }
  - { name: BiocParallel, type: bioconductor, state: present }
  - { name: BiocStyle, type: bioconductor, state: present }
  - { name: biomaRt, type: bioconductor, state: present }
  - { name: biosigner, type: bioconductor, state: present }
  - { name: Biostrings, type: bioconductor, state: present }
  - { name: BSgenome, type: bioconductor, state: present }
  - { name: BSgenome.Cfamiliaris.UCSC.canFam3, type: bioconductor, state: present }
  - { name: BSgenome.Hsapiens.1000genomes.hs37d5, type: bioconductor, state: present }
  - { name: BSgenome.Hsapiens.UCSC.hg19, type: bioconductor, state: present }
  - { name: BSgenome.Hsapiens.UCSC.hg19.masked, type: bioconductor, state: present }
  - { name: BSgenome.Hsapiens.UCSC.hg38, type: bioconductor, state: present }
  - { name: BSgenome.Mmusculus.UCSC.mm10, type: bioconductor, state: present }
  - { name: BUSpaRse, type: bioconductor, state: present }
  - { name: celldex, type: bioconductor, state: present }
  - { name: CellMixS, type: bioconductor, state: present }
  - { name: ChAMP, type: bioconductor, state: present }
  - { name: ChIPpeakAnno, type: bioconductor, state: present }
  - { name: ChIPseeker, type: bioconductor, state: present }
  - { name: chromVAR, type: bioconductor, state: present }
  - { name: cicero, type: bioconductor, state: present }
  - { name: ClassDiscovery, type: bioconductor, state: present }
  - { name: clusterProfiler, type: bioconductor, state: present }
  - { name: CoGAPS, type: bioconductor, state: present }
  - { name: ComplexHeatmap, type: bioconductor, state: present }
  - { name: copynumber, type: bioconductor, state: present }
  - { name: dada2, type: bioconductor, state: present }
  - { name: dartR,  type: bioconductor, state: present }
  - { name: debrowser, type: bioconductor, state: present }
  - { name: DECIPHER, type: bioconductor, state: present }
  - { name: DEP, type: bioconductor, state: present }
  - { name: DelayedArray, type: bioconductor, state: present }
  - { name: DelayedMatrixStats, type: bioconductor, state: present }
  - { name: DESeq2, type: bioconductor, state: present }
  # - { name: destiny, type: bioconductor, state: present }
  - { name: DiffBind, type: bioconductor, state: present }
  - { name: dorothea, type: bioconductor, state: present }
  - { name: DRIMSeq, type: bioconductor, state: present }
  - { name: DropletUtils, type: bioconductor, state: present }
  - { name: edgeR, type: bioconductor, state: present }
  - { name: eisaR, type: bioconductor, state: present }
  - { name: EnhancedVolcano, type: bioconductor, state: present }
  - { name: EnrichedHeatmap, type: bioconductor, state: present }
  - { name: EnrichmentBrowser, type: bioconductor, state: present }
  - { name: enrichplot, type: bioconductor, state: present }
  - { name: EnsDb.Hsapiens.v75, type: bioconductor, state: present }
  - { name: EnsDb.Hsapiens.v86, type: bioconductor, state: present }
  - { name: ExploreModelMatrix, type: bioconductor, state: present }
  - { name: fishpond, type: bioconductor, state: present }
  - { name: fgsea, type: bioconductor, state: present }
  - { name: geneLenDataBase, type: bioconductor, state: present }
  - { name: GenomeInfoDb, type: bioconductor, state: present }
  - { name: GenomicFeatures, type: bioconductor, state: present }
  - { name: GenomicRanges, type: bioconductor, state: present }
  - { name: Glimma, type: bioconductor, state: present }
  - { name: GO.db, type: bioconductor, state: present }
  - { name: GOSemSim, type: bioconductor, state: present }
  - { name: GSEABase, type: bioconductor, state: present }
  - { name: Gviz, type: bioconductor, state: present }
  - { name: IlluminaHumanMethylation450kmanifest, type: bioconductor, state: present }
  - { name: IlluminaHumanMethylationEPICanno.ilm10b4.hg19, type: bioconductor, state: present }
  - { name: impute, type: bioconductor, state: present }
  - { name: IRanges, type: bioconductor, state: present }
  - { name: iSEE, type: bioconductor, state: present }
  - { name: iSEEu, type: bioconductor, state: present }
  - { name: JASPAR2020, type: bioconductor, state: present }
  - { name: kebabs, type: bioconductor, state: present }
  - { name: LEA, type: bioconductor, state: present }
  - { name: limma, type: bioconductor, state: present }
  - { name: maftools, type: bioconductor, state: present }
  - { name: marray, type: bioconductor, state: present }
  - { name: Matrix.utils, type: bioconductor, state: present }
  - { name: miRBaseConverter, type: bioconductor, state: present }
  - { name: mixKernel, type: bioconductor, state: present }
  - { name: mixOmics, type: bioconductor, state: present }
  # - { name: MOFA, type: bioconductor, state: present }
  - { name: MOFA2, type: bioconductor, state: present }
  - { name: MOFAdata, type: bioconductor, state: present }
  - { name: MOGAMUN, type: bioconductor, state: present }
  - { name: monocle, type: bioconductor, state: present }
  - { name: motifmatchr, type: bioconductor, state: present }
  - { name: motifStack, type: bioconductor, state: present }
  - { name: multtest, type: bioconductor, state: present }
  - { name: omicade4, type: bioconductor, state: present }
  - { name: org.At.tair.db, type: bioconductor, state: present }
  - { name: org.Hs.eg.db, type: bioconductor, state: present }
  - { name: org.Mm.eg.db, type: bioconductor, state: present }
  - { name: parathyroidSE, type: bioconductor, state: present }
  - { name: pathview, type: bioconductor, state: present }
  - { name: phyloseq, type: bioconductor, state: present }
  - { name: preprocessCore, type: bioconductor, state: present }
  - { name: pROC, type: bioconductor, state: present }
  - { name: qvalue, type: bioconductor, state: present }
  - { name: RcisTarget, type: bioconductor, state: present }
  - { name: recount, type: bioconductor, state: present }
  - { name: rhdf5, type: bioconductor, state: present }
  - { name: ropls, type: bioconductor, state: present }
  - { name: rrvgo, type: bioconductor, state: present }
  - { name: rtracklayer, type: bioconductor, state: present }
  - { name: S4Vectors, type: bioconductor, state: present }
  - { name: scater, type: bioconductor, state: present }
  - { name: scBFA, type: bioconductor, state: present }
  - { name: scDblFinder, type: bioconductor, state: present }
  - { name: scds, type: bioconductor, state: present }
  - { name: scRNAseq, type: bioconductor, state: present }
  - { name: schex, type: bioconductor, state: present }
  - { name: scran, type: bioconductor, state: present }
  - { name: sequenza, type: bioconductor, state: present }
  - { name: Signac, type: bioconductor, state: present }
  - { name: simplifyEnrichment, type: bioconductor, state: present }
  - { name: SingleCellExperiment, type: bioconductor, state: present }
  - { name: SingleR, type: bioconductor, state: present }
  - { name: slingshot, type: bioconductor, state: present }
  - { name: SNPRelate, type: bioconductor, state: present }
  - { name: sparseMatrixStats, type: bioconductor, state: present }
  - { name: SPIA, type: bioconductor, state: present }
  - { name: stephenturner/annotables, type: bioconductor, state: present }
  - { name: SummarizedExperiment, type: bioconductor, state: present }
  - { name: sva, type: bioconductor, state: present }
  - { name: TENxPBMCData, type: bioconductor, state: present }
  - { name: TFBSTools, type: bioconductor, state: present }
  - { name: trackViewer, type: bioconductor, state: present }
  - { name: TxDb.Hsapiens.UCSC.hg38.knownGene, type: bioconductor, state: present }
  - { name: TxDb.Hsapiens.UCSC.hg38.knownGene, type: bioconductor, state: present }
  - { name: TxDb.Mmusculus.UCSC.mm10.knownGene, type: bioconductor, state: present }
  - { name: TxDb.Mmusculus.UCSC.mm9.knownGene, type: bioconductor, state: present }
  - { name: tximeta, type: bioconductor, state: present }
  - { name: tximport, type: bioconductor, state: present }
  - { name: universalmotif, type: bioconductor, state: present }
  - { name: VariantAnnotation, type: bioconductor, state: present }
  - { name: velociraptor, type: bioconductor, state: present }
  - { name: WGCNA, type: bioconductor, state: present }
  - { name: xcms, type: bioconductor, state: present }
  - { name: XVector, type: bioconductor, state: present }
  - { name: zellkonverter, type: bioconductor, state: present }

  # GITHUB
  #- { name: vguillemot/tidyViz, type: github, state: present }
  # - { name: , type: github, state: present }
  # - { name: , type: github, state: present }
  # - { name: , type: github, state: present }
  # - { name: PF2-pasteur-fr/SARTools, type: github, state: present }
  - { name: GreenleafLab/ArchR, type: github, state: present }
  - { name: GreenleafLab/chromVARmotifs, type: github, state: present }
  - { name: immunogenomics/harmony, type: github, state: present }
  - { name: immunogenomics/presto, type: github, state: present }
  - { name: MarcElosua/SPOTlight, type: github, state: present }
  - { name: Helena-todd/TInGa/package, type: github, state: present }
  - { name: mojaveazure/seurat-disk, type: github, state: present }
  - { name: guokai8/scGSVA, type: github, state: present }
  - { name: rcannood/gng, type: github, state: present }
  - { name: strengejacke/strengejacke, type: github, state: present }

  # R-Forge
  # - { name: gradientForest, repos: "http://R-Forge.R-project.org", state: present }

  # update remotes and devtools, it is needed each time conda env is updated
  # todo: fix this, maybe in postinstall
  - { name: devtools, type: bioconductor, state: updated }
  - { name: remotes, type: bioconductor, state: updated }



  # update (to be removed on next run)
  # result of BiocManager::valid()
